package de.ivu.elect.business.email.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class EmailVorlageProperties
{

private final EmailVorlage entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  bezeichnungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  inhaltProperty;

        
    

public EmailVorlageProperties(EmailVorlage entity) {
this.entity = entity;

}

private static EmailVorlageMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( EmailVorlageMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getBezeichnungProperty() {
        if (bezeichnungProperty == null) {
        bezeichnungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getBezeichnungEinzahlMessage(),
        getMetaData().getBezeichnungDefaultValue(),
        getMetaData().isBezeichnungRequired(),
                entity::setBezeichnung,
        entity::getBezeichnung

                    ,  1 ,
            de.ivu.elect.business.email.entity.EmailVorlageConstants.BEZEICHNUNG_MAX_LENGTH
                );

        }


        return bezeichnungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getInhaltProperty() {
        if (inhaltProperty == null) {
        inhaltProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getInhaltEinzahlMessage(),
        getMetaData().getInhaltDefaultValue(),
        getMetaData().isInhaltRequired(),
                entity::setInhalt,
        entity::getInhalt

                    ,  1 ,
            de.ivu.elect.business.email.entity.EmailVorlageConstants.INHALT_MAX_LENGTH
                );

        }


        return inhaltProperty;
        }





        
        }